package com.starbuds.server.service.message.dao;

import com.starbuds.server.common.pojo.db.PublicChatroomMsgHisDO;
import com.starbuds.server.common.pojo.message.PublicChatRoomMsgHisVO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2021/1/8
 */
@Mapper
@Repository
public interface PublicChatRoomMsgHisDAO {
    /**
     * 创建记录
     *
     * @param publicChatroomMsgHisDO
     * @return
     */
    @Insert("INSERT IGNORE INTO tb_public_chatroom_msg_his(msgId, groupId, fromUserId, msgBody, msgTime) VALUES (#{msgId}, #{groupId}, #{fromUserId}, #{msgBody}, #{msgTime})")
    int insert(PublicChatroomMsgHisDO publicChatroomMsgHisDO);

    /**
     * 查询列表
     *
     * @param groupId
     * @param pageSize
     * @param lastMsgId
     * @return
     */
    List<PublicChatRoomMsgHisVO> selectHisList(@Param("groupId") String groupId, @Param("pageSize") int pageSize, @Param("lastMsgId") Integer lastMsgId);
}
