package com.starbuds.server.service.message.dao;

import com.starbuds.server.common.pojo.db.UserNoSpeakHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mapper
 */
@Mapper
@Repository
public interface UserNoSpeakHisDAO {

    /**
     * 插入数据
     */
    int insert(UserNoSpeakHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<UserNoSpeakHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(UserNoSpeakHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    UserNoSpeakHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    UserNoSpeakHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<UserNoSpeakHisDO> selectPageList(QueryWrapper qw);

}