package com.starbuds.server.service.message.entity;

import io.rong.messages.BaseMessage;
import io.rong.messages.CmdMsgMessage;
import io.rong.util.GsonUtil;

/**
 * 自定义消息
 *
 * @author Lay
 * @date 2021/5/8
 */
public class CustomMsg extends BaseMessage {
    private String data = "";
    private transient static final String TYPE = "TM:CusMsg";

    public CustomMsg(String data) {
        this.data = data;
    }

    @Override
    public String getType() {
        return TYPE;
    }

    /**
     * 获取命令的内容
     *
     * @return String
     */
    public String getData() {
        return data;
    }

    /**
     * @param data 设置命令的内容s
     */
    public void setData(String data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return GsonUtil.toJson(this, CustomMsg.class);
    }
}
