package com.starbuds.server.service.message.entity;

import io.rong.messages.BaseMessage;
import io.rong.util.GsonUtil;

/**
 * 进房消息
 *
 * @author Lay
 * @date 2021/5/19
 */
public class RoomJoinMsg extends BaseMessage {
    private String name = "";
    private String data = "";
    private transient static final String TYPE = "TM:RoomJoinMsg";

    public RoomJoinMsg(String name, String data) {
        this.name = name;
        this.data = data;
    }

    @Override
    public String getType() {
        return TYPE;
    }

    /**
     * 获取命令名称，可以自行定义
     *
     * @return String
     */
    public String getName() {
        return name;
    }

    /**
     * @param name 设置命令名称，可以自行定义
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取命令的内容
     *
     * @return String
     */
    public String getData() {
        return data;
    }

    /**
     * @param data 设置命令的内容s
     */
    public void setData(String data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return GsonUtil.toJson(this, RoomJoinMsg.class);
    }
}
