package com.starbuds.server.service.message.entity.sms;

import lombok.Data;

import java.util.Map;

/**
 * 百度发送短信
 * https://cloud.baidu.com/doc/SMS/s/lkijy5wvf
 *
 * @author aoe
 * @date 2021/7/2
 */
@Data
public class BaiduSms {

    /**
     * 手机号码,支持单个或多个手机号，多个手机号之间以英文逗号分隔，一次请求最多支持200个手机号。
     * 国际/港澳台号码请按照E.164规范表示，例如台湾手机号以+886开头，”+“不能省略。
     */
    private String mobile;

    /**
     * 短信模板ID，模板申请成功后自动创建，全局内唯一
     */
    private String template;

    /**
     * 短信签名ID，签名表申请成功后自动创建，全局内唯一
     */
    private String signatureId;

    /**
     * 模板变量内容，用于替换短信模板中定义的变量
     */
    private Map<String, String> contentVar;

}
