package com.starbuds.server.service.message.impl.biz;

import com.starbuds.server.common.pojo.message.im.rtc.UserMedalShinyStatusChangedMsg;
import com.starbuds.server.common.service.message.ImService;
import com.starbuds.server.common.service.message.biz.UserMedalMsgService;
import com.starbuds.server.common.validation.Validator;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.apache.dubbo.config.annotation.Service;
import org.hibernate.validator.HibernateValidator;

import java.util.Optional;

import static com.google.common.base.Preconditions.checkNotNull;

/**
 * @author aoe
 * @date 2022/1/13
 */
@Slf4j
@Service(version = "1.0.0")
public class UserMedalMsgServiceImpl implements UserMedalMsgService {

    @Reference(version = "1.0.0")
    private ImService imService;

    private final Validator validator = new Validator(HibernateValidator.class);

    @Override
    public boolean sendMedalShinyStatusChangedMsg(UserMedalShinyStatusChangedMsg imMsg) {
        checkNotNull(imMsg);
        Optional<String> failMsgOfOne = validator.getFailMsgOfOne(imMsg);
        if (failMsgOfOne.isPresent()) {
            log.error("发送用户勋章闪亮状态改变消息参数错误 " + failMsgOfOne.get());
            return false;
        }
        return imService.sendAllRoomMsg(imMsg);
    }
}
