package com.starbuds.server.service.message.netease;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/13 17:46
 * @Description 网易IM客户端
 */
@Configuration
@Slf4j
public class NeteaseClientManage implements DisposableBean {


    private NeteaseClient client;

    public NeteaseClientManage(@Value("${im.netease.appKey}") String appKey, @Value("${im.netease.appSecret}") String appSecret) {
        client = new DefaultNeteaseClient(appKey, appSecret);
    }

    @Override
    public void destroy() throws Exception {
        if (client != null) {
            client = null;
        }
    }

    public NeteaseClient getClient() {
        return client;
    }
}
