package com.starbuds.server.service.message.netease.constant;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/10
 */
public class NeteaseApiUrl {
    public static final String GATEWAY = "https://api.netease.im";

    /**
     * 创建用户
     */
    public static final String USER_CREATE = GATEWAY + "/nimserver/user/create.action";

    /**
     * 创建聊天室
     */
    public static final String CHATROOM_CREATE = GATEWAY + "/nimserver/chatroom/create.action";

    /**
     * 网易云通信ID - 更新网易云通信token
     */
    public static final String USER_UPDATE = GATEWAY + "/nimserver/user/update.action";

    /**
     * 网易云通信ID - 重置网易云通信token
     */
    public static final String USER_REFRESH_TOKEN = GATEWAY + "/nimserver/user/refreshToken.action";

    /**
     * 网易云通信ID - 封禁网易云通信ID
     */
    public static final String USER_BLOCK = GATEWAY + "/nimserver/user/block.action";

    /**
     * 网易云通信ID - 解禁网易云通信ID
     */
    public static final String USER_UNBLOCK = GATEWAY + "/nimserver/user/unblock.action";

    /**
     * 用户名片 - 更新用户名片
     */
    public static final String UPDATE_UINFO = GATEWAY + "/nimserver/user/updateUinfo.action";

    /**
     * 用户名片 - 获取用户名片
     */
    public static final String GET_UINFO = GATEWAY + "/nimserver/user/getUinfos.action";

    /**
     * 用户设置 - 设置桌面端在线时，移动端是否需要推送
     */
    public static final String SET_DONNOP = GATEWAY + "/nimserver/user/setDonnop.action";

    /**
     * 用户设置 - 账号全局禁言
     */
    public static final String MUTE = GATEWAY + "/nimserver/user/mute.action";

    /**
     * 用户设置 - 账号全局禁用音视频
     */
    public static final String MUTE_AV = GATEWAY + "/nimserver/user/muteAv.action";

    /**
     * 用户关系托管 - 加好友
     */
    public static final String ADD_FRIEND = GATEWAY + "/nimserver/friend/add.action";

    /**
     * 用户关系托管 - 更新好友相关信息
     */
    public static final String UPDATE_FRIEND = GATEWAY + "/nimserver/friend/update.action";

    /**
     * 用户关系托管 - 删除好友
     */
    public static final String DELETE_FRIEND = GATEWAY + "/nimserver/friend/delete.action";

    /**
     * 用户关系托管 - 获取好友关系
     */
    public static final String GET_FRIEND = GATEWAY + "/nimserver/friend/get.action";

    /**
     * 用户关系托管 - 设置黑名单/静音
     */
    public static final String SET_SPECIAL_RELATION = GATEWAY + "/nimserver/user/setSpecialRelation.action";

    /**
     * 用户关系托管 - 查看指定用户的黑名单和静音列表
     */
    public static final String LISTBLACK_MUTELIST = GATEWAY + "/nimserver/user/listBlackAndMuteList.action";

    /**
     * 消息功能 - 发送普通消息
     */
    public static final String SEND_MSG = GATEWAY + "/nimserver/msg/sendMsg.action";
    /**
     * 消息功能 - 批量发送点对点普通消息
     */
    public static final String SEND_BATCH_MSG = GATEWAY + "/nimserver/msg/sendBatchMsg.action";

    /**
     * 消息功能 - 发送自定义系统通知
     */
    public static final String SEND_ATTACH_MSG = GATEWAY + "/nimserver/msg/sendAttachMsg.action";

    /**
     * 消息功能 - 批量发送点对点自定义系统通知
     */
    public static final String SEND_BATCH_ATTACH_MSG = GATEWAY + "/nimserver/msg/sendBatchAttachMsg.action";

    /**
     * 消息功能 - 文件上传
     */
    public static final String MSG_UPLOAD = GATEWAY + "/nimserver/msg/upload.action";

    /**
     * 消息功能 - 文件上传（multipart方式）
     */
    public static final String MSG_MULTIPART_UPLOAD = GATEWAY + "/nimserver/msg/fileUpload.action";

    /**
     * 消息功能 - 上传NOS文件清理任务
     */
    public static final String JOB_NOS_DEL = GATEWAY + "/nimserver/job/nos/del.action";

    /**
     * 消息功能 - 消息撤回
     */
    public static final String MSG_RECALL = GATEWAY + "/nimserver/msg/recall.action";

    /**
     * 消息功能 - 发送广播消息
     */
    public static final String BROAD_CAST_MSG = GATEWAY + "/nimserver/msg/broadcastMsg.action";

    /**
     * 群组功能（高级群） - 创建群
     */
    public static final String TEAM_CREATE = GATEWAY + "/nimserver/team/create.action";

    /**
     * 群组功能（高级群） - 拉人入群
     */
    public static final String TEAM_ADD = GATEWAY + "/nimserver/team/add.action";

    /**
     * 群组功能（高级群） - 踢人出群
     */
    public static final String TEAM_KICK = GATEWAY + "/nimserver/team/kick.action";

    /**
     * 群组功能（高级群） - 解散群
     */
    public static final String TEAM_REMOVE = GATEWAY + "/nimserver/team/remove.action";

    /**
     * 群组功能（高级群） - 编辑群资料
     */
    public static final String TEAM_UPDATE = GATEWAY + "/nimserver/team/update.action";

    /**
     * 群组功能（高级群） - 群信息与成员列表查询
     */
    public static final String TEAM_QUERY = GATEWAY + "/nimserver/team/query.action";

    /**
     * 群组功能（高级群） - 获取群组详细信息
     */
    public static final String TEAM_QUERY_DETAIL = GATEWAY + "/nimserver/team/queryDetail.action";

    /**
     * 群组功能（高级群） - 获取群组已读消息的已读详情信息
     */
    public static final String TEAM_MARK_READ_INFO = GATEWAY + "/nimserver/team/getMarkReadInfo.action";

    /**
     * 群组功能（高级群） - 移交群主
     */
    public static final String TEAM_CHANGE_OWNER = GATEWAY + "/nimserver/team/changeOwner.action";

    /**
     * 群组功能（高级群） - 任命管理员
     */
    public static final String TEAM_ADD_MANAGER = GATEWAY + "/nimserver/team/addManager.action";

    /**
     * 群组功能（高级群） - 移除管理员
     */
    public static final String TEAM_REMOVE_MANAGER = GATEWAY + "/nimserver/team/removeManager.action";

    /**
     * 群组功能（高级群） - 获取某用户所加入的群信息
     */
    public static final String TEAM_JOIN_TEAMS = GATEWAY + "/nimserver/team/joinTeams.action";

    /**
     * 群组功能（高级群） - 修改群昵称
     */
    public static final String TEAM_UPDATE_NICK = GATEWAY + "/nimserver/team/updateTeamNick.action";

    /**
     * 群组功能（高级群） - 修改消息提醒开关
     */
    public static final String TEAM_MUTE_TEAM = GATEWAY + "/nimserver/team/muteTeam.action";

    /**
     * 群组功能（高级群） - 禁言群成员
     */
    public static final String TEAM_MUTE_TLIST = GATEWAY + "/nimserver/team/muteTlist.action";

    /**
     * 群组功能（高级群） - 主动退群
     */
    public static final String TEAM_LEAVE = GATEWAY + "/nimserver/team/leave.action";

    /**
     * 群组功能（高级群） - 将群组整体禁言
     */
    public static final String TEAM_MUTE_TLIST_ALL = GATEWAY + "/nimserver/team/muteTlistAll.action";

    /**
     * 群组功能（高级群） - 获取群组禁言列表
     */
    public static final String TEAM_LIST_MUTE = GATEWAY + "/nimserver/team/listTeamMute.action";


    /**
     * 聊天室 - 查询聊天室信息
     */
    public static final String CHATROOM_INFO = GATEWAY + "/nimserver/chatroom/get.action";

    /**
     * 聊天室 - 批量查询聊天室信息
     */
    public static final String CHATROOM_INFO_BATCH = GATEWAY + "/nimserver/chatroom/getBatch.action";

    /**
     * 聊天室 - 更新聊天室信息
     */
    public static final String CHATROOM_UPDATE = GATEWAY + "/nimserver/chatroom/update.action";

    /**
     * 聊天室 - 修改聊天室开/关闭状态
     */
    public static final String CHATROOM_CLOSE_STAT = GATEWAY + "/nimserver/chatroom/toggleCloseStat.action";

    /**
     * 聊天室 - 设置聊天室内用户角色
     */
    public static final String CHATROOM_SET_MEMBER_ROLE = GATEWAY + "/nimserver/chatroom/setMemberRole.action";

    /**
     * 聊天室 - 请求聊天室地址
     */
    public static final String CHATROOM_REQUEST_ADDR = GATEWAY + "/nimserver/chatroom/requestAddr.action";

    /**
     * 聊天室 - 发送聊天室消息
     */
    public static final String CHATROOM_SEND_MSG = GATEWAY + "/nimserver/chatroom/sendMsg.action";

    /**
     * 聊天室 - 往聊天室内添加机器人
     */
    public static final String CHATROOM_ADD_ROBOT = GATEWAY + "/nimserver/chatroom/addRobot.action";

    /**
     * 聊天室 - 从聊天室内删除机器人
     */
    public static final String CHATROOM_REMOVE_ROBOT = GATEWAY + "/nimserver/chatroom/removeRobot.action";

    /**
     * 聊天室 - 设置临时禁言状态
     */
    public static final String CHATROOM_TEMPORARY_MUTE = GATEWAY + "/nimserver/chatroom/temporaryMute.action";

    /**
     * 聊天室 - 往聊天室有序队列中新加或更新元素
     */
    public static final String CHATROOM_QUEUE_OFFER = GATEWAY + "/nimserver/chatroom/queueOffer.action";

    /**
     * 聊天室 - 从队列中取出元素
     */
    public static final String CHATROOM_QUEUE_POLL = GATEWAY + "/nimserver/chatroom/queuePoll.action";

    /**
     * 聊天室 - 排序列出队列中所有元素
     */
    public static final String CHATROOM_QUEUE_LIST = GATEWAY + "/nimserver/chatroom/queueList.action";

    /**
     * 聊天室 - 删除清理整个队列
     */
    public static final String CHATROOM_QUEUE_DROP = GATEWAY + "/nimserver/chatroom/queueDrop.action";

    /**
     * 聊天室 - 初始化队列
     */
    public static final String CHATROOM_QUEUE_INIT = GATEWAY + "/nimserver/chatroom/queueInit.action";

    /**
     * 聊天室 - 将聊天室整体禁言
     */
    public static final String CHATROOM_MUTE_ROOM = GATEWAY + "/nimserver/chatroom/muteRoom.action";

    /**
     * 聊天室 - 查询聊天室统计指标TopN
     */
    public static final String CHATROOM_TOPN = GATEWAY + "/nimserver/stats/chatroom/topn.action";

    /**
     * 聊天室 - 分页获取成员列表
     */
    public static final String CHATROOM_MEMBERS_BY_PAGE = GATEWAY + "/nimserver/chatroom/membersByPage.action";

    /**
     * 聊天室 - 批量获取在线成员信息
     */
    public static final String CHATROOM_QUERY_MEMBERS = GATEWAY + "/nimserver/chatroom/queryMembers.action";

    /**
     * 聊天室 - 变更聊天室内的角色信息
     */
    public static final String CHATROOM_UPDATE_MY_ROOM_ROLE = GATEWAY + "/nimserver/chatroom/updateMyRoomRole.action";

    /**
     * 聊天室 - 批量更新聊天室队列元素
     */
    public static final String CHATROOM_QUEUE_BATCH_UPDATE_ELEMENTS = GATEWAY + "/nimserver/chatroom/queueBatchUpdateElements.action";

    /**
     * 聊天室 - 查询用户创建的开启状态聊天室列表
     */
    public static final String CHATROOM_QUERY_USER_ROOMIDS = GATEWAY + "/nimserver/chatroom/queryUserRoomIds.action";

    /**
     * 聊天室 - 关闭指定聊天室进出通知
     */
    public static final String CHATROOM_UPDATE_IN_OUT_NOTIFY = GATEWAY + "/nimserver/chatroom/updateInOutNotification.action";


}
