package com.starbuds.server.service.message.netease.request.chatroom;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.chatroom.NeteaseChatroomCloseStatResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/12 16:53
 * @Description 修改聊天室开/关闭状态
 */
@Data
public class NeteaseChatroomCloseStatRequest implements NeteaseRequest<NeteaseChatroomCloseStatResponse> {

    /**
     * 聊天室id
     *
     * @requried
     */
    @JSONField(name = "roomid")
    private long roomId;

    /**
     * 操作者账号，必须是创建者才可以操作
     *
     * @required
     */
    private String operator;

    /**
     * true或false，false:关闭聊天室；true:打开聊天室
     *
     * @required
     */
    private String valid;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.CHATROOM_CLOSE_STAT;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("roomid", roomId);
            put("operator", operator);
            put("valid", valid);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseChatroomCloseStatResponse> getResponseClass() {
        return NeteaseChatroomCloseStatResponse.class;
    }
}
