package com.starbuds.server.service.message.netease.request.chatroom;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.chatroom.NeteaseChatroomInfoResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/12 16:04
 * @Description 查询聊天室信息
 */
@Data
public class NeteaseChatroomInfoRequest implements NeteaseRequest<NeteaseChatroomInfoResponse> {

    /**
     * 聊天室id
     *
     * @required
     */
    @JSONField(name = "roomid")
    private long roomId;

    /**
     * 是否需要返回在线人数，true或false，默认false
     */
    private String needOnlineUserCount;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.CHATROOM_INFO;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("roomid", roomId);
            put("needOnlineUserCount", needOnlineUserCount);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseChatroomInfoResponse> getResponseClass() {
        return NeteaseChatroomInfoResponse.class;
    }
}
