package com.starbuds.server.service.message.netease.request.chatroom;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.chatroom.NeteaseChatroomMuteRoomResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/13 11:38
 * @Description 将聊天室整体禁言
 */
@Data
public class NeteaseChatroomMuteRoomRequest implements NeteaseRequest<NeteaseChatroomMuteRoomResponse> {

    /**
     * 聊天室id
     *
     * @required
     */
    @JSONField(name = "roomid")
    private long roomId;

    /**
     * 操作者accid，必须是管理员或创建者
     *
     * @required
     */
    private String operator;

    /**
     * true或false
     *
     * @required
     */
    private String mute;

    /**
     * true或false，默认true
     */
    private String needNotify;

    /**
     * 通知扩展字段
     */
    private String notifyExt;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.CHATROOM_MUTE_ROOM;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("roomid", roomId);
            put("operator", operator);
            put("mute", mute);
            put("needNotify", needNotify);
            put("notifyExt", notifyExt);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseChatroomMuteRoomResponse> getResponseClass() {
        return NeteaseChatroomMuteRoomResponse.class;
    }
}
