package com.starbuds.server.service.message.netease.request.chatroom;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.chatroom.NeteaseChatroomQueryMembersResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/13 14:12
 * @Description 批量获取在线成员信息
 */
@Data
public class NeteaseChatroomQueryMembersRequest implements NeteaseRequest<NeteaseChatroomQueryMembersResponse> {

    /**
     * 聊天室id
     *
     * @required
     */
    @JSONField(name = "roomid")
    private long roomId;

    /**
     * ["abc","def"], 账号列表，最多200条
     *
     * @required
     */
    @JSONField(name = "accids")
    private String accIds;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.CHATROOM_QUERY_MEMBERS;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("roomid", roomId);
            put("accids", accIds);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseChatroomQueryMembersResponse> getResponseClass() {
        return NeteaseChatroomQueryMembersResponse.class;
    }
}
