package com.starbuds.server.service.message.netease.request.chatroom;

import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.chatroom.NeteaseChatroomQueryRoomIdsResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/13 14:37
 * @Description 查询用户创建的开启状态聊天室列表
 */
@Data
public class NeteaseChatroomQueryRoomIdsRequest implements NeteaseRequest<NeteaseChatroomQueryRoomIdsResponse> {

    /**
     * 聊天室创建者accid
     *
     * @required
     */
    private String creator;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.CHATROOM_QUERY_USER_ROOMIDS;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("creator", creator);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseChatroomQueryRoomIdsResponse> getResponseClass() {
        return NeteaseChatroomQueryRoomIdsResponse.class;
    }
}
