package com.starbuds.server.service.message.netease.request.chatroom;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.chatroom.NeteaseChatroomQueueInitResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/13 11:35
 * @Description 初始化队列
 */
@Data
public class NeteaseChatroomQueueInitRequest implements NeteaseRequest<NeteaseChatroomQueueInitResponse> {

    /**
     * 聊天室id
     *
     * @required
     */
    @JSONField(name = "roomid")
    private long roomId;

    /**
     * 队列长度限制，0~1000
     *
     * @required
     */
    private long sizeLimit;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.CHATROOM_QUEUE_INIT;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("roomid", roomId);
            put("sizeLimit", sizeLimit);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseChatroomQueueInitResponse> getResponseClass() {
        return NeteaseChatroomQueueInitResponse.class;
    }
}
