package com.starbuds.server.service.message.netease.request.chatroom;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.chatroom.NeteaseChatroomQueuePollResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/13 11:22
 * @Description 从队列中取出元素
 */
@Data
public class NeteaseChatroomQueuePollRequest implements NeteaseRequest<NeteaseChatroomQueuePollResponse> {

    /**
     * 聊天室id
     *
     * @required
     */
    @JSONField(name = "roomid")
    private long roomId;

    /**
     * 目前元素的elementKey,长度限制128字符，不填表示取出头上的第一个
     */
    private String key;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.CHATROOM_QUEUE_POLL;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("roomid", roomId);
            put("key", key);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseChatroomQueuePollResponse> getResponseClass() {
        return NeteaseChatroomQueuePollResponse.class;
    }
}
