package com.starbuds.server.service.message.netease.request.chatroom;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.chatroom.NeteaseChatroomQueuelistResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/13 11:26
 * @Description 排序列出队列中所有元素
 */
@Data
public class NeteaseChatroomQueuelistRequest implements NeteaseRequest<NeteaseChatroomQueuelistResponse> {

    @JSONField(name = "roomid")
    private long roomId;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.CHATROOM_QUEUE_LIST;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("roomid", roomId);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseChatroomQueuelistResponse> getResponseClass() {
        return NeteaseChatroomQueuelistResponse.class;
    }
}
