package com.starbuds.server.service.message.netease.request.chatroom;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.chatroom.NeteaseChatroomRemoveRobotResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/13 11:03
 * @Description 从聊天室内删除机器人
 */
@Data
public class NeteaseChatroomRemoveRobotRequest implements NeteaseRequest<NeteaseChatroomRemoveRobotResponse> {

    /**
     * 聊天室id
     *
     * @required
     */
    @JSONField(name = "roomid")
    private long roomId;

    /**
     * 机器人账号accid列表，必须是有效账号，账号数量上限100个 JSONArray
     *
     * @required
     */
    @JSONField(name = "accids")
    private String accIds;


    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.CHATROOM_REMOVE_ROBOT;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("roomid", roomId);
            put("accids", accIds);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseChatroomRemoveRobotResponse> getResponseClass() {
        return NeteaseChatroomRemoveRobotResponse.class;
    }
}
