package com.starbuds.server.service.message.netease.request.chatroom;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.chatroom.NeteaseChatroomUpdateNotifyResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/13 14:41
 * @Description 关闭指定聊天室进出通知
 */
@Data
public class NeteaseChatroomUpdateNotifyRequest implements NeteaseRequest<NeteaseChatroomUpdateNotifyResponse> {

    /**
     * 聊天室ID
     *
     * @required
     */
    @JSONField(name = "roomid")
    private long roomId;

    /**
     * true/false, 是否关闭进出通知
     *
     * @required
     */
    private boolean close;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.CHATROOM_UPDATE_IN_OUT_NOTIFY;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("roomid", roomId);
            put("close", close);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseChatroomUpdateNotifyResponse> getResponseClass() {
        return NeteaseChatroomUpdateNotifyResponse.class;
    }
}
