package com.starbuds.server.service.message.netease.request.team;

import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.team.NeteaseTeamAddManagerResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/11 19:19
 * @Description 任命管理员
 */
@Data
public class NeteaseTeamAddManagerRequest implements NeteaseRequest<NeteaseTeamAddManagerResponse> {

    /**
     * 网易云通信服务器产生，群唯一标识，创建群时会返回，最大长度128字符
     *
     * @required
     */
    private String tid;
    /**
     * 群主用户帐号，最大长度32字符
     *
     * @required
     */
    private String owner;
    /**
     * ["aaa","bbb"](JSONArray对应的accid，如果解析出错会报414)，长度最大1024字符（一次添加最多10个管理员）
     *
     * @required
     */
    private String members;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.TEAM_ADD_MANAGER;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("tid", tid);
            put("owner", owner);
            put("members", members);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseTeamAddManagerResponse> getResponseClass() {
        return NeteaseTeamAddManagerResponse.class;
    }
}
