package com.starbuds.server.service.message.netease.request.team;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.team.NeteaseTeamChangeOwnerResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/11 19:15
 * @Description 移交群主
 */
@Data
public class NeteaseTeamChangeOwnerRequest implements NeteaseRequest<NeteaseTeamChangeOwnerResponse> {

    /**
     * 网易云通信服务器产生，群唯一标识，创建群时会返回，最大长度128字符
     *
     * @required
     */
    private String tid;

    /**
     * 群主用户帐号，最大长度32字符
     *
     * @required
     */
    private String owner;

    /**
     * 新群主帐号，最大长度32字符
     *
     * @required
     */
    @JSONField(name = "newowner")
    private String newOwner;

    /**
     * 1:群主解除群主后离开群，2：群主解除群主后成为普通成员。其它414
     *
     * @required
     */
    private int leave;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.TEAM_CHANGE_OWNER;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("tid", tid);
            put("owner", owner);
            put("newowner", newOwner);
            put("leave", leave);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseTeamChangeOwnerResponse> getResponseClass() {
        return NeteaseTeamChangeOwnerResponse.class;
    }
}
