package com.starbuds.server.service.message.netease.request.team;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.team.NeteaseTeamJoinTeamsResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/11 19:24
 * @Description 获取某用户所加入的群信息
 */
@Data
public class NeteaseTeamJoinTeamsRequest implements NeteaseRequest<NeteaseTeamJoinTeamsResponse> {

    /**
     * 要查询用户的accid
     *
     * @required
     */
    @JSONField(name = "accid")
    private String accId;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.TEAM_JOIN_TEAMS;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("accid", accId);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseTeamJoinTeamsResponse> getResponseClass() {
        return NeteaseTeamJoinTeamsResponse.class;
    }
}
