package com.starbuds.server.service.message.netease.request.team;

import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.team.NeteaseTeamQueryDetailResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/11 17:28
 * @Description 获取群组详细信息
 */
@Data
public class NeteaseTeamQueryDetailRequest implements NeteaseRequest<NeteaseTeamQueryDetailResponse> {

    /**
     * 群id，群唯一标识，创建群时会返回
     *
     * @required
     */
    private long tid;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.TEAM_QUERY_DETAIL;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("tid", tid);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseTeamQueryDetailResponse> getResponseClass() {
        return NeteaseTeamQueryDetailResponse.class;
    }
}
