package com.starbuds.server.service.message.netease.request.team;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.team.NeteaseTeamQueryResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/11 17:20
 * @Description 编辑群资料
 */
@Data
public class NeteaseTeamQueryRequest implements NeteaseRequest<NeteaseTeamQueryResponse> {

    /**
     * 群id列表，如["3083","3084"]
     *
     * @required
     */
    @JSONField(name = "tids")
    private String tIds;

    /**
     * 1表示带上群成员列表，0表示不带群成员列表，只返回群信息
     *
     * @required
     */
    private int ope;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.TEAM_QUERY;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("tids", tIds);
            put("ope", ope);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseTeamQueryResponse> getResponseClass() {
        return NeteaseTeamQueryResponse.class;
    }
}
