package com.starbuds.server.service.message.netease.request.team;

import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.team.NeteaseTeamRemoveResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/11 16:06
 * @Description 解散群
 */
@Data
public class NeteaseTeamRemoveRequest implements NeteaseRequest<NeteaseTeamRemoveResponse> {


    /**
     * 网易云通信服务器产生，群唯一标识，创建群时会返回，最大长度128字符
     *
     * @required
     */
    private String tid;

    /**
     * 群主用户帐号，最大长度32字符
     *
     * @required
     */
    private String owner;


    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.TEAM_REMOVE;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("tid", tid);
            put("owner", owner);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseTeamRemoveResponse> getResponseClass() {
        return NeteaseTeamRemoveResponse.class;
    }
}
