package com.starbuds.server.service.message.netease.request.user;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.user.NeteaseUserDeleteFirendResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/10 18:07
 * @Description 删除好友
 */
@Data
public class NeteaseUserDeleteFirendRequest implements NeteaseRequest<NeteaseUserDeleteFirendResponse> {

    /**
     * 发起者accid
     *
     * @required
     */
    @JSONField(name = "accid")
    private String accId;

    /**
     * 要删除朋友的accid
     *
     * @required
     */
    @JSONField(name = "faccid")
    private String fAccId;

    /**
     * 是否需要删除备注信息
     * 默认false:不需要，true:需要
     */
    private Boolean isDeleteAlias;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.DELETE_FRIEND;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("accid", accId);
            put("faccid", fAccId);
            put("isDeleteAlias", isDeleteAlias);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseUserDeleteFirendResponse> getResponseClass() {
        return NeteaseUserDeleteFirendResponse.class;
    }
}
