package com.starbuds.server.service.message.netease.request.user;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.user.NeteaseUserGetFriendResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/10 17:42
 * @Description 获取好友关系
 */
@Data
public class NeteaseUserGetFriendRequest implements NeteaseRequest<NeteaseUserGetFriendResponse> {

    /**
     * 发起者accid
     *
     * @required
     */
    @JSONField(name = "accid")
    private String accId;
    /**
     * 更新时间戳，接口返回该时间戳之后有更新的好友列表
     *
     * @required
     */
    @JSONField(name = "updatetime")
    private Long updateTime;
    /**
     * 【Deprecated】定义同updatetime
     */
    @JSONField(name = "createtime")
    private Long createTime;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.GET_FRIEND;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("accid", accId);
            put("updatetime", updateTime);
            put("createtime", createTime);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseUserGetFriendResponse> getResponseClass() {
        return NeteaseUserGetFriendResponse.class;
    }
}
