package com.starbuds.server.service.message.netease.request.user;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.user.NeteaseUserGetUinfoRequestResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/10 17:06
 * @Description 获取用户名片
 */
@Data
public class NeteaseUserGetUinfoRequest implements NeteaseRequest<NeteaseUserGetUinfoRequestResponse> {

    /**
     * 用户帐号（例如：JSONArray对应的accid串，如：["zhangsan"]，如果解析出错，会报414）（一次查询最多为200）
     *
     * @required
     */
    @JSONField(name = "accids")
    private String accIds;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.GET_UINFO;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("accids", accIds);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseUserGetUinfoRequestResponse> getResponseClass() {
        return NeteaseUserGetUinfoRequestResponse.class;
    }
}
