package com.starbuds.server.service.message.netease.request.user;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.user.NeteaseUserListBlackAndMuteListResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/10 19:40
 * @Description 黑名单和静音列表
 */
@Data
public class NeteaseUserListBlackAndMuteListRequest implements NeteaseRequest<NeteaseUserListBlackAndMuteListResponse> {

    /**
     * 用户帐号，最大长度32字符，必须保证一个APP内唯一
     *
     * @required
     */
    @JSONField(name = "accid")
    private String accId;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.LISTBLACK_MUTELIST;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("accid", accId);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseUserListBlackAndMuteListResponse> getResponseClass() {
        return NeteaseUserListBlackAndMuteListResponse.class;
    }
}
