package com.starbuds.server.service.message.netease.request.user;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.user.NeteaseUserMuteAvResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/10 17:26
 * @Description 账号全局禁言音视频
 */
@Data
public class NeteaseUserMuteAvRequest implements NeteaseRequest<NeteaseUserMuteAvResponse> {

    /**
     * 用户帐号
     *
     * @required
     */
    @JSONField(name = "accid")
    private String accId;

    /**
     * 桌面端在线时，移动端是否不推送：
     * true:移动端不需要推送，false:移动端需要推送
     *
     * @required
     */
    private Boolean mute;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.MUTE_AV;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("accid", accId);
            put("mute", mute);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseUserMuteAvResponse> getResponseClass() {
        return NeteaseUserMuteAvResponse.class;
    }
}
