package com.starbuds.server.service.message.netease.request.user;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.user.NeteaseUserMuteResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/10 17:26
 * @Description 账号全局禁言
 */
@Data
public class NeteaseUserMuteRequest implements NeteaseRequest<NeteaseUserMuteResponse> {

    /**
     * 用户帐号
     *
     * @required
     */
    @JSONField(name = "accid")
    private String accId;

    /**
     * 是否全局禁言：true：全局禁言，false:取消全局禁言
     *
     * @required
     */
    private Boolean mute;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.MUTE;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("accid", accId);
            put("mute", mute);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseUserMuteResponse> getResponseClass() {
        return NeteaseUserMuteResponse.class;
    }
}
