package com.starbuds.server.service.message.netease.request.user;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.user.NeteaseUserUnblockResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/14 14:26
 * @Description 解禁网易云通信ID
 */
@Data
public class NeteaseUserUnblockRequest implements NeteaseRequest<NeteaseUserUnblockResponse> {


    /**
     * 网易云通信ID，最大长度32字符，必须保证一个APP内唯一
     *
     * @required
     */
    @JSONField(name = "accid")
    private String accId;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.USER_UNBLOCK;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("accid", accId);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseUserUnblockResponse> getResponseClass() {
        return NeteaseUserUnblockResponse.class;
    }
}
