package com.starbuds.server.service.message.netease.request.user;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.user.NeteaseUserUpdateFriendResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/10 17:57
 * @Description 更新好友相关信息
 */
@Data
public class NeteaseUserUpdateFriendRequest implements NeteaseRequest<NeteaseUserUpdateFriendResponse> {

    /**
     * 发起者accid
     *
     * @required
     */
    @JSONField(name = "accid")
    private String accId;
    /**
     * 要修改朋友的accid
     *
     * @required
     */
    @JSONField(name = "faccid")
    private String fAccId;
    /**
     * 给好友增加备注名，限制长度128，可设置为空字符串
     */
    private int type;
    /**
     * 修改ex字段，限制长度256，可设置为空字符串
     */
    private String msg;
    /**
     * 修改serverex字段，限制长度256，可设置为空字符串
     * 此字段client端只读，server端读写
     */
    @JSONField(name = "serverex")
    private String serverEx;

    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.UPDATE_FRIEND;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("accId", accId);
            put("faccid", fAccId);
            put("type", type);
            put("msg", msg);
            put("serverex", serverEx);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseUserUpdateFriendResponse> getResponseClass() {
        return NeteaseUserUpdateFriendResponse.class;
    }
}
