package com.starbuds.server.service.message.netease.request.user;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseRequest;
import com.starbuds.server.service.message.netease.constant.NeteaseApiUrl;
import com.starbuds.server.service.message.netease.response.user.NeteaseUserUpdateResponse;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/14 14:16
 * @Description 更新网易云通信token
 */
@Data
public class NeteaseUserUpdateRequest implements NeteaseRequest<NeteaseUserUpdateResponse> {


    /**
     * 网易云通信ID，最大长度32字符，必须保证一个APP内唯一
     *
     * @required
     */
    @JSONField(name = "accid")
    private String accId;

    /**
     * 该参数已不建议使用。
     */
    private String props;

    /**
     * 网易云通信ID可以指定登录token值，最大长度128字符
     */
    private String token;


    @Override
    public String getApiUrl() {
        return NeteaseApiUrl.USER_UPDATE;
    }

    @Override
    public Map<String, Object> getParamsMap() {
        return new HashMap<String, Object>() {{
            put("accid", accId);
            put("props", props);
            put("token", token);
        }};
    }

    /**
     * 获取响应类
     *
     * @return
     */
    @Override
    public Class<NeteaseUserUpdateResponse> getResponseClass() {
        return NeteaseUserUpdateResponse.class;
    }
}
