package com.starbuds.server.service.message.netease.response.chatroom;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/12 16:14
 * @Description 批量查询聊天室信息
 */
@Data
public class NeteaseChatroomInfoBatchResponse extends NeteaseResponse {

    /**
     * 不存在的聊天室id列表
     */
    private List<Long> noExistRooms;

    private List<Chatroom> succRooms;

    /**
     * 失败的聊天室id,有可能是查的时候有500错误
     */
    private List<Long> failRooms;

    @Data
    public static class Chatroom {

        private Long roomid;

        private Boolean valid;

        private String announcement;

        private Boolean muted;

        private String name;

        private String broadcasturl;

        private Integer onlineusercount;

        private String ext;

        private String creator;

        private Integer queuelevel;

    }
}
