package com.starbuds.server.service.message.provider;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.starbuds.server.common.constant.message.im.ImTargetType;
import com.starbuds.server.common.pojo.message.ImUserCreateDTO;
import com.starbuds.server.common.pojo.message.ImUserProfile;
import com.starbuds.server.common.pojo.message.LiveChatRoomUserProfile;
import com.starbuds.server.common.pojo.message.MsgPacket;
import com.starbuds.server.common.pojo.message.im.BaseImMsg;
import com.starbuds.server.common.pojo.message.im.ImPushInfo;
import com.starbuds.server.common.pojo.user.UserSimpleInfo;
import com.starbuds.server.common.service.user.RtcUserService;
import com.starbuds.server.service.message.agora.AccessToken;
import com.starbuds.server.service.message.tencent.response.biz.TencentImBizGetAppInfoResponse;
import com.starbuds.server.service.message.util.HttpUtil;
import io.rong.messages.BaseMessage;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 声网im服务
 *
 * @author Lay
 * @date 2021/3/22
 */
@Component
@Slf4j
public class AgoraProvider implements IImProvider {

    @Value("${agora.appId}")
    private String appId;

    @Value("${agora.appCertificate}")
    private String appCertificate;

    @Value("${agora.base64Credentials}")
    private String base64Credentials;

    @Reference(version = "1.0.0")
    RtcUserService rtcUserService;

    private static final String SUCCESS = "success";

    // /**
    //  * 构造令牌
    //  *
    //  * @param userId
    //  * @return
    //  */
    // public String buildToken(Long userId) {
    //     try {
    //         if (userId != null) {
    //             AccessToken accessToken = new AccessToken(appId, appCertificate, String.valueOf(userId), "");
    //             accessToken.addPrivilege(AccessToken.Privileges.kRtmLogin, Integer.MAX_VALUE);
    //             return accessToken.build();
    //         }
    //     } catch (Exception e) {
    //         log.error("Agora RTM Token 生成失败:", e);
    //     }
    //
    //     return null;
    // }
    //
    // /**
    //  * 发送点对点消息
    //  *
    //  * @param userId
    //  * @param targetId
    //  * @param content
    //  */
    // public boolean sendToPeer(Long userId, Long targetId, String content) {
    //     MsgPacket msgPacket = new MsgPacket();
    //     msgPacket.setMsg(JSON.parseObject(content));
    //     msgPacket.setGroupId(String.valueOf(targetId));
    //     msgPacket.setSenderId(userId);
    //     msgPacket.setTargetId(targetId);
    //     msgPacket.setTargetType(ImTargetType.USER);
    //
    //
    //     JSONObject params = new JSONObject();
    //     params.put("destination", targetId);
    //     params.put("payload", JSON.toJSONString(msgPacket));
    //
    //     Map<String, String> headers = new HashMap<>();
    //     headers.put("Authorization", base64Credentials);
    //     headers.put("x-agora-token", buildToken(userId));
    //     headers.put("x-agora-uid", String.valueOf(userId));
    //
    //     try {
    //         String body = HttpUtil.post(String.format("https://api.agora.io/dev/v2/project/%s/rtm/users/%d/peer_messages", appId, userId), params.toJSONString(), headers);
    //         JSONObject result = JSON.parseObject(body);
    //         if (SUCCESS.equalsIgnoreCase(result.getString("result"))) {
    //             return true;
    //         }
    //         log.warn("声网 RTM 发送点对点消息失败 {}", body);
    //     } catch (Exception e) {
    //         log.error("声网 RTM 发送点对点消息失败", e);
    //     }
    //     return false;
    // }
    //
    // /**
    //  * 发送频道消息
    //  *
    //  * @param userId
    //  * @param roomId
    //  * @param content
    //  * @return
    //  */
    // public boolean sendToChannel(Long userId, Long roomId, String content) {
    //     MsgPacket msgPacket = new MsgPacket();
    //     msgPacket.setMsg(JSON.parseObject(content));
    //     msgPacket.setGroupId(String.valueOf(roomId));
    //     msgPacket.setSenderId(userId);
    //     msgPacket.setTargetId(null);
    //     msgPacket.setTargetType(ImTargetType.GROUP);
    //     // 组装用户信息
    //     if (userId > 0) {
    //         msgPacket.setSenderProfile(rtcUserService.getUserProfile(userId, roomId));
    //     }
    //
    //     JSONObject params = new JSONObject();
    //     params.put("channel_name", String.valueOf(roomId));
    //     params.put("payload", JSON.toJSONString(msgPacket));
    //
    //     Map<String, String> headers = new HashMap<>();
    //     headers.put("Authorization", base64Credentials);
    //     headers.put("x-agora-token", buildToken(0L));
    //     headers.put("x-agora-uid", String.valueOf("0"));
    //
    //     try {
    //         String body = HttpUtil.post(String.format("https://api.agora.io/dev/v2/project/%s/rtm/users/%d/channel_messages", appId, 0L), params.toJSONString(), headers);
    //         JSONObject result = JSON.parseObject(body);
    //         if (SUCCESS.equalsIgnoreCase(result.getString("result"))) {
    //             return true;
    //         }
    //         log.warn("声网 RTM 发送频道消息失败 {}", body);
    //     } catch (Exception e) {
    //         log.error("声网 RTM 发送频道消息失败", e);
    //     }
    //     return false;
    // }

    //---以下为老版腾讯im的封装接口---

    /**
     * 创建 IM 用户
     *
     * @param imUserCreateDTO
     * @return
     */
    @Override
    public String createUser(ImUserCreateDTO imUserCreateDTO) {
        return null;
    }

    /**
     * 刷新 Token
     *
     * @param userId
     * @param expireTime
     * @return
     */
    @Override
    public String refreshToken(Long userId, Long expireTime) {
        return null;
    }

    /**
     * 创建直播间聊天室
     *
     * @param userId
     * @param roomId
     * @return
     */
    @Override
    public String addLiveChatRoom(Long userId, String roomId) {
        return null;
    }

    /**
     * 同步用户资料
     *
     * @param imProfile
     * @return
     */
    @Override
    public boolean syncUserProfile(ImUserProfile imProfile) {
        return false;
    }

    /**
     * 发送自定义消息
     *
     * @param senderId
     * @param targetId
     * @param imMsg
     * @param imPushInfo
     * @return
     */
    @Override
    public boolean sendCustomImMsg(Long senderId, Long targetId, BaseImMsg imMsg, ImPushInfo imPushInfo) {
        return false;
    }

    /**
     * 发送直播间消息
     *
     * @param anchorUserId
     * @param fromUserId
     * @param imMsg
     * @param msgPriority
     * @return
     */
    @Override
    public boolean sendLiveRoomMsg(Long anchorUserId, Long fromUserId, BaseImMsg imMsg, String msgPriority) {
        return false;
    }

    /**
     * 发送广播消息
     *
     * @param channelId
     * @param fromUserId
     * @param imMsg
     * @param msgPriority
     * @return
     */
    @Override
    public boolean sendBroadcast(Long channelId, Long fromUserId, BaseImMsg imMsg, String msgPriority) {
        return false;
    }

    /**
     * 同步群成员资料
     *
     * @param anchorUserId
     * @param imGroupUserProfile
     * @return
     */
    @Override
    public boolean syncLiveChatRoomUserProfile(Long anchorUserId, LiveChatRoomUserProfile imGroupUserProfile) {
        return false;
    }

    /**
     * 获取app信息
     *
     * @return
     */
    @Override
    public TencentImBizGetAppInfoResponse getAppInfo() {
        return null;
    }

    /**
     * 发送文本消息
     *
     * @param senderId
     * @param targetId
     * @param text
     * @return
     */
    @Override
    public boolean sendTextMsg(Long senderId, Long targetId, String text) {
        return false;
    }

    //---以下为新版融云im的封装接口---
    /**
     * 创建token
     *
     * @param userId
     * @return
     */
    @Override
    public String buildToken(Long userId) {
        return null;
    }

    /**
     * 创建token
     *
     * @param imUserProfile
     * @return
     */
    @Override
    public String buildToken(ImUserProfile imUserProfile) {
        return null;
    }

    /**
     * 刷新用户资料
     *
     * @param imUserProfile
     * @return
     */
    @Override
    public boolean refreshUser(ImUserProfile imUserProfile) {
        return false;
    }

    /**
     * 发送私聊信息给用户
     *
     * @param userId
     * @param targetId
     * @param content
     * @return
     */
    @Override
    public boolean sendToPeer(Long userId, Long targetId, String content) {
        return false;
    }

    /**
     * 发送私聊信息给用户
     *
     * @param userId
     * @param targetId
     * @param data
     * @return
     */
    @Override
    public boolean sendToPeerCustomMsg(Long userId, Long targetId, String data) {
        return false;
    }

    /**
     * 发送私聊信息给用户
     *
     * @param userId
     * @param targetId
     * @param msg
     * @param pushContent
     * @param isIncludeSender
     * @return
     */
    @Override
    public boolean sendToPeerCustomMsg(Long userId, Long targetId, BaseMessage msg, String pushContent, Integer isIncludeSender) {
        return false;
    }

    /**
     * 发送私聊信息给用户
     *
     * @param userId
     * @param targetId
     * @param text
     * @param extra
     * @return
     */
    @Override
    public boolean sendToPeerTextMsg(Long userId, Long targetId, String text, String extra) {
        return false;
    }

    /**
     * 发送房间消息
     *
     * @param userId
     * @param roomId
     * @param content
     * @return
     */
    @Override
    public boolean sendToChatRoom(Long userId, String roomId, String content) {
        return false;
    }

    /**
     * 发送频道消息
     *
     * @param userId
     * @param roomId
     * @param content
     * @param lowPriority
     * @return
     */
    @Override
    public boolean sendToChannel(Long userId, Long roomId, String content, boolean lowPriority) {
        return false;
    }

    /**
     * 聊天室禁言
     *
     * @param roomId
     * @param userId
     * @param minutes
     * @return
     */
    @Override
    public boolean forbiddenChat(Long roomId, Long userId, Integer minutes) {
        return false;
    }

    /**
     * 解除禁言
     *
     * @param roomId
     * @param userId
     * @return
     */
    @Override
    public boolean enableChat(Long roomId, Long userId) {
        return false;
    }

    /**
     * 封禁用户
     *
     * @param roomId
     * @param userId
     * @param minutes
     * @return
     */
    @Override
    public boolean blockRoomUser(Long roomId, Long userId, Integer minutes) {
        return false;
    }

    /**
     * 解封用户
     *
     * @param roomId
     * @param userId
     * @return
     */
    @Override
    public boolean unblockRoomUser(Long roomId, Long userId) {
        return false;
    }

    /**
     * 设置聊天室属性
     *
     * @param roomId
     * @param key
     * @param value
     * @return
     */
    @Override
    public boolean setRoomProperty(Long roomId, String key, String value) {
        return false;
    }

    /**
     * 设置聊天室属性
     *
     * @param roomId
     * @param propertyMap
     */
    @Override
    public void setRoomProperties(Long roomId, Map<String, String> propertyMap) {

    }

    /**
     * 拉黑用户
     *
     * @param userId
     * @param targetId
     * @return
     */
    @Override
    public boolean addUserBlack(Long userId, Long targetId) {
        return false;
    }

    /**
     * 解除拉黑
     *
     * @param userId
     * @param targetId
     * @return
     */
    @Override
    public boolean removeUserBlack(Long userId, Long targetId) {
        return false;
    }

    /**
     * 获取拉黑名单
     *
     * @param userId
     * @return
     */
    @Override
    public List<String> getUserBlack(Long userId) {
        return null;
    }

    /**
     * 私聊禁言
     *
     * @param userId
     * @return
     */
    @Override
    public boolean forbiddenWords(Long userId) {
        return false;
    }

    /**
     * 取消私聊禁言
     *
     * @param userId
     * @return
     */
    @Override
    public boolean cancelForbiddenWords(Long userId) {
        return false;
    }

    /**
     * 获取融云历史消息
     *
     * @param date
     * @return
     */
    @Override
    public String getHistory(String date) {
        return null;
    }

    /**
     * 获取用户信息
     *
     * @param userId
     * @return
     */
    @Override
    public UserSimpleInfo getUserInfo(Long userId) {
        return null;
    }

    /**
     * 对比签名
     *
     * @param timestamp
     * @param nonce
     * @param sign
     * @return
     */
    @Override
    public boolean checkNotifySign(String timestamp, String nonce, String sign) {
        return false;
    }

    /**
     * 获取房间内在线用户id
     *
     * @param roomId
     * @return
     * @throws Exception
     */
    @Override
    public List<Long> onlineUserIdsInRoom(Long roomId) throws Exception {
        return null;
    }
}
