package com.starbuds.server.service.message.provider;

import com.starbuds.server.common.pojo.message.SmsCode;
import com.starbuds.server.common.pojo.message.VoiceSmsCode;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/2 13:58
 * @Description 短信服务提供者
 */
public interface ISmsProvider {

    /**
     * 发送短信
     */
    String sendSms(String templateCode, String phone, SmsCode params, String accessKey, String accessSecret, String signName);

    /**
     * 发送语音短信
     */
    String sendVoiceSms(String templateCode, String phone, String showNumber, VoiceSmsCode tempParam, String accessKey, String accessSecret);

    /**
     * 人机校验
     *
     * @param accessKey
     * @param accessSecret
     * @param sessionId
     * @param sig
     * @param token
     * @param scene
     * @param remoteIp
     * @return
     */
    boolean machineValidate(String accessKey, String accessSecret, String sessionId, String sig, String token, String scene, String remoteIp);

}
