package com.starbuds.server.service.message.tencent;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/16 17:33
 * @Description
 */
@Configuration
@Slf4j
public class TencentClientManage implements DisposableBean {

    private TencentClient client;
    private Long sdkAppId;

    public TencentClientManage(@Value("${im.tencent.appKey}") Long sdkAppId, @Value("${im.tencent.identifier}") String identifier, @Value("${im.tencent.userSig}") String userSig) {
        this.sdkAppId = sdkAppId;
        client = new DefaultTencentClient(sdkAppId, identifier, userSig);
    }

    @Override
    public void destroy() throws Exception {
        if (client != null) {
            client = null;
        }
    }

    public TencentClient getClient() {
        return client;
    }

    public Long getSdkAppId() {
        return sdkAppId;
    }
}