package com.starbuds.server.service.message.tencent;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/16
 */
public interface TencentRequest<T extends TencentResponse> {
    /**
     * 协议版本号
     *
     * @return
     */
    String getVersion();

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    String getServiceName();

    /**
     * 命令字，与 servicename 组合用来标识具体的业务功能
     *
     * @return
     */
    String getCommand();

    /**
     * 获取请求返回类
     *
     * @return
     */
    Class<T> getResponseClass();

    /**
     * 设置请求参数
     *
     * @param param
     */
    void setParam(TencentParam param);

    /**
     * 获取请求参数
     *
     * @return
     */
    TencentParam getParam();
}
