package com.starbuds.server.service.message.tencent.param.group;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 11:34
 * @Description 创建群组
 */
@NoArgsConstructor
@Data
public class TencentImGroupCreateParam extends TencentParam {

    @JSONField(name = "Owner_Account")
    private String ownerAccount;

    @JSONField(name = "Type")
    private String type;

    @JSONField(name = "GroupId")
    private String groupId;

    @JSONField(name = "Name")
    private String name;

    @JSONField(name = "Introduction")
    private String introduction;

    @JSONField(name = "Notification")
    private String notification;

    @JSONField(name = "FaceUrl")
    private String faceUrl;

    @JSONField(name = "MaxMemberCount")
    private Integer maxMemberCount;

    @JSONField(name = "ApplyJoinOption")
    private String applyJoinOption;

    @JSONField(name = "AppDefinedData")
    private List<AppDefinedDataBean> appDefinedData;

    @JSONField(name = "MemberList")
    private List<MemberListBean> memberList;

    @NoArgsConstructor
    @Data
    public static class AppDefinedDataBean {
        @JSONField(name = "Key")
        private String Key;

        @JSONField(name = "Value")
        private String value;

    }

    @Data
    public static class MemberListBean {
        @JSONField(name = "Member_Account")
        private String memberAccount;

        @JSONField(name = "Role")
        private String role;

        @JSONField(name = "AppMemberDefinedData")
        private List<AppMemberDefinedDataBean> appMemberDefinedData;

        @Data
        public static class AppMemberDefinedDataBean {

            @JSONField(name = "Key")
            private String key;

            @JSONField(name = "Value")
            private String value;
        }
    }
}
