package com.starbuds.server.service.message.tencent.param.group;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.entity.TencentKeyValue;
import lombok.Data;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/4
 */
@Data
public class TencentImGroupModifyGroupMemberInfoParam extends TencentParam {
    /**
     * 群组 id
     */
    @JSONField(name = "GroupId")
    private String groupId;

    /**
     * 群成员账号
     */
    @JSONField(name = "Member_Account")
    private String memberAccount;

    /**
     * 成员身份，Admin/Member 分别为设置/取消管理员
     */
    @JSONField(name = "Role")
    private String role;

    /**
     * 消息屏蔽类型
     */
    @JSONField(name = "MsgFlag")
    private String msgFlag;

    /**
     * 群名片（最大不超过50个字节）
     */
    @JSONField(name = "NameCard")
    private String nameCard;

    /**
     * 群成员维度的自定义字段
     */
    @JSONField(name = "AppMemberDefinedData")
    private List<TencentKeyValue> appMemberDefinedData;

    /**
     * 需禁言时间，单位为秒，0表示取消禁言
     */
    @JSONField(name = "ShutUpTime")
    private Integer shutUpTime;
}
