package com.starbuds.server.service.message.tencent.param.msg;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.entity.TencentImMsgElement;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 10:03
 * @Description 单发单聊消息
 */
@Data
public class TencentImMsgSendParam extends TencentParam {

    /**
     * 1同步至 From_Account  2不同步至 From_Account
     */
    @JSONField(name = "SyncOtherMachine")
    private Integer syncOtherMachine;

    @JSONField(name = "From_Account")
    private String fromAccount;

    @JSONField(name = "To_Account")
    private String toAccount;

    @JSONField(name = "MsgLifeTime")
    private Integer msgLifeTime;

    @JSONField(name = "MsgRandom")
    private Integer msgRandom;

    @JSONField(name = "MsgTimeStamp")
    private Integer msgTimeStamp;

    @JSONField(name = "OfflinePushInfo")
    private OfflinePushInfoBean offlinePushInfo;

    @JSONField(name = "MsgBody")
    private List<TencentImMsgElement> msgBody;

    @Data
    public static class OfflinePushInfoBean {

        @JSONField(name = "PushFlag")
        private Integer pushFlag;

        @JSONField(name = "Desc")
        private String desc;

        @JSONField(name = "Ext")
        private String ext;

        @JSONField(name = "AndroidInfo")
        private AndroidInfoBean androidInfo;

        @JSONField(name = "ApnsInfo")
        private ApnsInfoBean apnsInfo;


        @Data
        public static class AndroidInfoBean {

            @JSONField(name = "Sound")
            private String sound;

        }

        @Data
        public static class ApnsInfoBean {

            @JSONField(name = "Sound")
            private String sound;

            @JSONField(name = "BadgeMode")
            private Integer badgeMode;

            @JSONField(name = "Title")
            private String title;

            @JSONField(name = "SubTitle")
            private String subTitle;

            @JSONField(name = "Image")
            private String image;

        }
    }
}


