package com.starbuds.server.service.message.tencent.request.account;

import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.TencentRequest;
import com.starbuds.server.service.message.tencent.constant.TencentApi;
import com.starbuds.server.service.message.tencent.response.account.TencentImOpenLoginSvcAccountImportResponse;
import lombok.Data;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/16
 */
@Data
public class TencentImOpenLoginSvcAccountImportRequest implements TencentRequest<TencentImOpenLoginSvcAccountImportResponse> {

    private TencentParam param;

    /**
     * 协议版本号
     *
     * @return
     */
    @Override
    public String getVersion() {
        return TencentApi.VERSION_4;
    }

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    @Override
    public String getServiceName() {
        return TencentApi.SERVICE_IM_OPEN_LOGIN_SVC;
    }

    /**
     * 命令字，与 servicename 组合用来标识具体的业务功能
     *
     * @return
     */
    @Override
    public String getCommand() {
        return TencentApi.CMD_ACCOUNT_IMPORT;
    }

    /**
     * 获取请求返回类
     *
     * @return
     */
    @Override
    public Class<TencentImOpenLoginSvcAccountImportResponse> getResponseClass() {
        return TencentImOpenLoginSvcAccountImportResponse.class;
    }

    /**
     * 设置请求参数
     *
     * @param param
     */
    @Override
    public void setParam(TencentParam param) {
        this.param = param;
    }

    /**
     * 获取请求参数
     *
     * @return
     */
    @Override
    public TencentParam getParam() {
        return this.param;
    }
}
