package com.starbuds.server.service.message.tencent.request.account;

import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.TencentRequest;
import com.starbuds.server.service.message.tencent.constant.TencentApi;
import com.starbuds.server.service.message.tencent.response.account.TencentImUserAccountDeleteResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/16 20:03
 * @Description 账号删除
 */
@Data
public class TencentImUserAccountDeleteRequest implements TencentRequest<TencentImUserAccountDeleteResponse> {

    private TencentParam param;

    @Override
    public String getVersion() {
        return TencentApi.VERSION_4;
    }

    @Override
    public String getServiceName() {
        return TencentApi.SERVICE_IM_OPEN_LOGIN_SVC;
    }

    @Override
    public String getCommand() {
        return TencentApi.CMD_ACCOUNT_DELETE;
    }

    @Override
    public Class<TencentImUserAccountDeleteResponse> getResponseClass() {
        return TencentImUserAccountDeleteResponse.class;
    }

    @Override
    public void setParam(TencentParam param) {
        this.param = param;
    }

    @Override
    public TencentParam getParam() {
        return this.param;
    }
}
