package com.starbuds.server.service.message.tencent.request.account;

import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.TencentRequest;
import com.starbuds.server.service.message.tencent.constant.TencentApi;
import com.starbuds.server.service.message.tencent.response.account.TencentImUserAccountKickResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/16 20:15
 * @Description 账号登录态失效
 */
@Data
public class TencentImUserAccountKickRequest implements TencentRequest<TencentImUserAccountKickResponse> {

    private TencentParam param;


    @Override
    public String getVersion() {
        return TencentApi.VERSION_4;
    }

    @Override
    public String getServiceName() {
        return TencentApi.SERVICE_IM_OPEN_LOGIN_SVC;
    }

    @Override
    public String getCommand() {
        return TencentApi.CMD_ACCOUNT_KICK;
    }

    @Override
    public Class<TencentImUserAccountKickResponse> getResponseClass() {
        return TencentImUserAccountKickResponse.class;
    }

    @Override
    public void setParam(TencentParam param) {
        this.param = param;
    }

    @Override
    public TencentParam getParam() {
        return param;
    }
}
