package com.starbuds.server.service.message.tencent.request.account;

import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.TencentRequest;
import com.starbuds.server.service.message.tencent.constant.TencentApi;
import com.starbuds.server.service.message.tencent.response.account.TencentImUserMultiAccountImportResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/16 19:39
 * @Description 批量帐号导入接口
 */
@Data
public class TencentImUserMultiAccountImportRequest implements TencentRequest<TencentImUserMultiAccountImportResponse> {

    private TencentParam param;

    @Override
    public String getVersion() {
        return TencentApi.VERSION_4;
    }

    @Override
    public String getServiceName() {
        return TencentApi.SERVICE_IM_OPEN_LOGIN_SVC;
    }

    @Override
    public String getCommand() {
        return TencentApi.CMD_ACCOUNT_MULTI_IMPORT;
    }

    @Override
    public Class<TencentImUserMultiAccountImportResponse> getResponseClass() {
        return TencentImUserMultiAccountImportResponse.class;
    }

    @Override
    public void setParam(TencentParam param) {
        this.param = param;
    }

    @Override
    public TencentParam getParam() {
        return this.param;
    }
}
