package com.starbuds.server.service.message.tencent.request.account;

import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.TencentRequest;
import com.starbuds.server.service.message.tencent.constant.TencentApi;
import com.starbuds.server.service.message.tencent.response.account.TencentImUserQueryStateResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 10:57
 * @Description 获取用户在线状态
 */
@Data
public class TencentImUserQueryStateRequest implements TencentRequest<TencentImUserQueryStateResponse> {
    private TencentParam param;


    @Override
    public String getVersion() {
        return TencentApi.VERSION_4;
    }

    @Override
    public String getServiceName() {
        return TencentApi.SERVICE_IM_OPEN_LOGIN_SVC;
    }

    @Override
    public String getCommand() {
        return TencentApi.CMD_USER_QUERY_STATE;
    }

    @Override
    public Class<TencentImUserQueryStateResponse> getResponseClass() {
        return TencentImUserQueryStateResponse.class;
    }

    @Override
    public void setParam(TencentParam param) {
        this.param = param;
    }

    @Override
    public TencentParam getParam() {
        return param;
    }
}
