package com.starbuds.server.service.message.tencent.request.config;

import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.TencentRequest;
import com.starbuds.server.service.message.tencent.constant.TencentApi;
import com.starbuds.server.service.message.tencent.response.config.TencentImSetNoSpeakingResponse;

/**
 * 备注
 *
 * @author Lay
 * @date 2021/3/12
 */
public class TencentImSetNoSpeakingRequest implements TencentRequest<TencentImSetNoSpeakingResponse> {
    private TencentParam param;

    /**
     * 协议版本号
     *
     * @return
     */
    @Override
    public String getVersion() {
        return TencentApi.VERSION_4;
    }

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    @Override
    public String getServiceName() {
        return TencentApi.SERVICE_OPEN_CONFIG_SVR;
    }

    /**
     * 命令字，与 servicename 组合用来标识具体的业务功能
     *
     * @return
     */
    @Override
    public String getCommand() {
        return TencentApi.CMD_SET_NO_SPEAKING;
    }

    /**
     * 获取请求返回类
     *
     * @return
     */
    @Override
    public Class<TencentImSetNoSpeakingResponse> getResponseClass() {
        return TencentImSetNoSpeakingResponse.class;
    }

    /**
     * 设置请求参数
     *
     * @param param
     */
    @Override
    public void setParam(TencentParam param) {
        this.param = param;
    }

    /**
     * 获取请求参数
     *
     * @return
     */
    @Override
    public TencentParam getParam() {
        return param;
    }
}
