package com.starbuds.server.service.message.tencent.request.group;

import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.TencentRequest;
import com.starbuds.server.service.message.tencent.constant.TencentApi;
import com.starbuds.server.service.message.tencent.response.group.TencentImGroupCreateResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/16 20:15
 * @Description 创建群组
 */
@Data
public class TencentImGroupCreateRequest implements TencentRequest<TencentImGroupCreateResponse> {

    private TencentParam param;

    @Override
    public String getVersion() {
        return TencentApi.VERSION_4;
    }

    @Override
    public String getServiceName() {
        return TencentApi.SERVICE_GROUP;
    }

    @Override
    public String getCommand() {
        return TencentApi.CMD_GROUP_CREATE;
    }

    @Override
    public Class<TencentImGroupCreateResponse> getResponseClass() {
        return TencentImGroupCreateResponse.class;
    }

    @Override
    public void setParam(TencentParam param) {
        this.param = param;
    }

    @Override
    public TencentParam getParam() {
        return param;
    }
}
