package com.starbuds.server.service.message.tencent.request.group;

import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.TencentRequest;
import com.starbuds.server.service.message.tencent.constant.TencentApi;
import com.starbuds.server.service.message.tencent.response.group.TencentImGroupGetInfoResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 11:54
 * @Description 获取群组详细资料
 */
@Data
public class TencentImGroupGetInfoRequest implements TencentRequest<TencentImGroupGetInfoResponse> {

    private TencentParam param;

    @Override
    public String getVersion() {
        return TencentApi.VERSION_4;
    }

    @Override
    public String getServiceName() {
        return TencentApi.SERVICE_GROUP;
    }

    @Override
    public String getCommand() {
        return TencentApi.CMD_GROUP_GET_LIST;
    }

    @Override
    public Class<TencentImGroupGetInfoResponse> getResponseClass() {
        return TencentImGroupGetInfoResponse.class;
    }

    @Override
    public void setParam(TencentParam param) {
        this.param = param;
    }

    @Override
    public TencentParam getParam() {
        return param;
    }
}
