package com.starbuds.server.service.message.tencent.request.group;

import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.TencentRequest;
import com.starbuds.server.service.message.tencent.constant.TencentApi;
import com.starbuds.server.service.message.tencent.response.group.TencentImGroupGetListResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/16 20:15
 * @Description 获取 App 中的所有群组
 */
@Data
public class TencentImGroupGetListRequest implements TencentRequest<TencentImGroupGetListResponse> {

    private TencentParam param;

    @Override
    public String getVersion() {
        return TencentApi.VERSION_4;
    }

    @Override
    public String getServiceName() {
        return TencentApi.SERVICE_GROUP;
    }

    @Override
    public String getCommand() {
        return TencentApi.CMD_GROUP_GET_LIST;
    }

    @Override
    public Class<TencentImGroupGetListResponse> getResponseClass() {
        return TencentImGroupGetListResponse.class;
    }

    @Override
    public void setParam(TencentParam param) {
        this.param = param;
    }

    @Override
    public TencentParam getParam() {
        return param;
    }
}
