package com.starbuds.server.service.message.tencent.request.msg;

import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.TencentRequest;
import com.starbuds.server.service.message.tencent.constant.TencentApi;
import com.starbuds.server.service.message.tencent.response.msg.TencentImMsgImportResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 10:41
 * @Description 导入单聊消息
 */
@Data
public class TencentImMsgImportRequest implements TencentRequest<TencentImMsgImportResponse> {

    private TencentParam param;

    @Override
    public String getVersion() {
        return TencentApi.VERSION_4;
    }

    @Override
    public String getServiceName() {
        return TencentApi.SERVICE_OPEN_IM;
    }

    @Override
    public String getCommand() {
        return TencentApi.CMD_IMPORT_MSG;
    }

    @Override
    public Class<TencentImMsgImportResponse> getResponseClass() {
        return TencentImMsgImportResponse.class;
    }

    @Override
    public void setParam(TencentParam param) {
        this.param = param;
    }

    @Override
    public TencentParam getParam() {
        return param;
    }
}
