package com.starbuds.server.service.message.tencent.request.msg;

import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.TencentRequest;
import com.starbuds.server.service.message.tencent.constant.TencentApi;
import com.starbuds.server.service.message.tencent.response.msg.TencentImMsgSendResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/16 20:15
 * @Description 单发单聊消息
 */
@Data
public class TencentImMsgSendRequest implements TencentRequest<TencentImMsgSendResponse> {

    private TencentParam param;

    @Override
    public String getVersion() {
        return TencentApi.VERSION_4;
    }

    @Override
    public String getServiceName() {
        return TencentApi.SERVICE_OPEN_IM;
    }

    @Override
    public String getCommand() {
        return TencentApi.CMD_SEND_MSG;
    }

    @Override
    public Class<TencentImMsgSendResponse> getResponseClass() {
        return TencentImMsgSendResponse.class;
    }

    @Override
    public void setParam(TencentParam param) {
        this.param = param;
    }

    @Override
    public TencentParam getParam() {
        return param;
    }
}
