package com.starbuds.server.service.message.tencent.request.profile;

import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.TencentRequest;
import com.starbuds.server.service.message.tencent.constant.TencentApi;
import com.starbuds.server.service.message.tencent.response.profile.TencentImProfileSetResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 11:05
 * @Description 设置资料
 */
@Data
public class TencentImProfileSetRequest implements TencentRequest<TencentImProfileSetResponse> {

    private TencentParam param;

    @Override
    public String getVersion() {
        return TencentApi.VERSION_4;
    }

    @Override
    public String getServiceName() {
        return TencentApi.SERVICE_PROFILE;
    }

    @Override
    public String getCommand() {
        return TencentApi.CMD_PORTRAIT_SET;
    }

    @Override
    public Class<TencentImProfileSetResponse> getResponseClass() {
        return TencentImProfileSetResponse.class;
    }

    @Override
    public void setParam(TencentParam param) {
        this.param = param;
    }

    @Override
    public TencentParam getParam() {
        return param;
    }
}
