package com.starbuds.server.service.message.tencent.request.sns;

import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.TencentRequest;
import com.starbuds.server.service.message.tencent.constant.TencentApi;
import com.starbuds.server.service.message.tencent.response.sns.TencentImSnsFriendDeleteResponse;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/2
 */
public class TencentImSnsFriendDeleteRequest implements TencentRequest<TencentImSnsFriendDeleteResponse> {

    private TencentParam param;

    /**
     * 协议版本号
     *
     * @return
     */
    @Override
    public String getVersion() {
        return TencentApi.VERSION_4;
    }

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    @Override
    public String getServiceName() {
        return TencentApi.SERVICE_SNS;
    }

    /**
     * 命令字，与 servicename 组合用来标识具体的业务功能
     *
     * @return
     */
    @Override
    public String getCommand() {
        return TencentApi.CMD_FRIEND_DELETE;
    }

    /**
     * 获取请求返回类
     *
     * @return
     */
    @Override
    public Class<TencentImSnsFriendDeleteResponse> getResponseClass() {
        return TencentImSnsFriendDeleteResponse.class;
    }

    /**
     * 设置请求参数
     *
     * @param param
     */
    @Override
    public void setParam(TencentParam param) {
        this.param = param;
    }

    /**
     * 获取请求参数
     *
     * @return
     */
    @Override
    public TencentParam getParam() {
        return param;
    }
}
