package com.starbuds.server.service.message.tencent.response.biz;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentResponse;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/5/26 15:28
 * @Description 拉取运营数据
 */
@Data
public class TencentImBizGetAppInfoResponse extends TencentResponse {

    /**
     * 结果
     */
    @JSONField(name = "Result")
    private List<ResponseResult> result;

    @Data
    public static class ResponseResult implements Serializable {

        /**
         * 应用名称
         */
        @JSONField(name = "AppName")
        private String appName;

        /**
         * 应用 SDKAppID
         */
        @JSONField(name = "AppId")
        private String appId;
        /**
         * 所属客户名称
         */
        @JSONField(name = "Company")
        private String company;
        /**
         * 活跃用户数
         */
        @JSONField(name = "ActiveUserNum")
        private Integer activeUserNum;

        /**
         * 新增注册人数
         */
        @JSONField(name = "RegistUserNumOneDay")
        private Integer registUserNumOneDay;

        /**
         * 累计注册人数
         */
        @JSONField(name = "RegistUserNumTotal")
        private Integer registUserNumTotal;

        /**
         * 登录次数
         */
        @JSONField(name = "LoginTimes")
        private Integer loginTimes;

        /**
         * 登录人数
         */
        @JSONField(name = "LoginUserNum")
        private Integer loginUserNum;

        /**
         * 上行消息数
         */
        @JSONField(name = "UpMsgNum")
        private Integer upMsgNum;

        /**
         * 发消息人数
         */
        @JSONField(name = "SendMsgUserNum")
        private Integer sendMsgUserNum;

        /**
         * APNs 推送数
         */
        @JSONField(name = "APNSMsgNum")
        private Integer APNSMsgNum;

        /**
         * 上行消息数（C2C）
         */
        @JSONField(name = "C2CUpMsgNum")
        private Integer c2CUpMsgNum;

        /**
         * 发消息人数（C2C）
         */
        @JSONField(name = "C2CSendMsgUserNum")
        private Integer c2CSendMsgUserNum;

        /**
         * APNs 推送数（C2C）
         */
        @JSONField(name = "C2CAPNSMsgNum")
        private Integer c2CAPNSMsgNum;

        /**
         * 最高在线人数
         */
        @JSONField(name = "MaxOnlineNum")
        private Integer maxOnlineNum;

        /**
         * 关系链对数增加量
         */
        @JSONField(name = "ChainIncrease")
        private Integer chainIncrease;

        /**
         * 关系链对数删除量
         */
        @JSONField(name = "ChainDecrease")
        private Integer chainDecrease;

        /**
         * 上行消息数（群）
         */
        @JSONField(name = "GroupUpMsgNum")
        private Integer groupUpMsgNum;

        /**
         * 发消息人数（群）
         */
        @JSONField(name = "GroupSendMsgUserNum")
        private Integer groupSendMsgUserNum;

        /**
         * APNs 推送数（群）
         */
        @JSONField(name = "GroupAPNSMsgNum")
        private Integer groupAPNSMsgNum;

        /**
         * 发消息群组数
         */
        @JSONField(name = "GroupSendMsgGroupNum")
        private Integer groupSendMsgGroupNum;

        /**
         * 入群总数
         */
        @JSONField(name = "GroupJoinGroupTimes")
        private Integer groupJoinGroupTimes;

        /**
         * 退群总数
         */
        @JSONField(name = "GroupQuitGroupTimes")
        private Integer groupQuitGroupTimes;

        /**
         * 新增群组数
         */
        @JSONField(name = "GroupNewGroupNum")
        private Integer groupNewGroupNum;

        /**
         * 累计群组数
         */
        @JSONField(name = "GroupAllGroupNum")
        private Integer groupAllGroupNum;

        /**
         * 解散群个数
         */
        @JSONField(name = "GroupDestroyGroupNum")
        private Integer groupDestroyGroupNum;

        /**
         * 回调请求数
         */
        @JSONField(name = "CallBackReq")
        private Integer callBackReq;

        /**
         * 回调应答数
         */
        @JSONField(name = "CallBackRsp")
        private Integer callBackRsp;

        /**
         * 日期
         */
        @JSONField(name = "Date")
        private Long date;
    }

}
