package com.starbuds.server.service.message.tencent.response.group;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 11:55
 * @Description 获取群组详细资料
 */
@Data
public class TencentImGroupGetInfoResponse extends TencentResponse {

    @JSONField(name = "GroupInfo")
    private List<GroupInfoBean> groupInfo;

    @Data
    public static class GroupInfoBean {
        @JSONField(name = "GroupId")
        private String groupId;
        @JSONField(name = "ErrorCode")
        private Integer errorCode;
        @JSONField(name = "ErrorInfo")
        private String errorInfo;
        @JSONField(name = "Type")
        private String type;
        @JSONField(name = "Name")
        private String name;
        @JSONField(name = "Introduction")
        private String introduction;
        @JSONField(name = "Notification")
        private String notification;
        @JSONField(name = "FaceUrl")
        private String faceUrl;
        @JSONField(name = "Owner_Account")
        private String ownerAccount;
        @JSONField(name = "CreateTime")
        private Long createTime;
        @JSONField(name = "LastInfoTime")
        private Long lastInfoTime;
        @JSONField(name = "LastMsgTime")
        private Long lastMsgTime;
        @JSONField(name = "NextMsgSeq")
        private Integer nextMsgSeq;
        @JSONField(name = "MemberNum")
        private Integer memberNum;
        @JSONField(name = "MaxMemberNum")
        private Integer maxMemberNum;
        @JSONField(name = "ApplyJoinOption")
        private String applyJoinOption;
        @JSONField(name = "ShutUpAllMember")
        private String shutUpAllMember;
        @JSONField(name = "AppDefinedData")
        private List<AppDefinedDataBean> appDefinedData;
        @JSONField(name = "MemberList")
        private List<MemberListBean> memberList;

        @Data
        public static class AppDefinedDataBean {
            @JSONField(name = "Key")
            private String key;
            @JSONField(name = "Value")
            private String value;
        }

        @Data
        public static class MemberListBean {
            @JSONField(name = "Member_Account")
            private String memberAccount;
            @JSONField(name = "Role")
            private String role;
            @JSONField(name = "JoinTime")
            private Long joinTime;
            @JSONField(name = "MsgSeq")
            private Integer msgSeq;
            @JSONField(name = "MsgFlag")
            private String msgFlag;
            @JSONField(name = "LastSendMsgTime")
            private Long lastSendMsgTime;
            @JSONField(name = "ShutUpUntil")
            private Long shutUpUntil;
            @JSONField(name = "AppMemberDefinedData")
            private List<AppMemberDefinedDataBean> appMemberDefinedData;

            @Data
            public static class AppMemberDefinedDataBean {
                @JSONField(name = "Key")
                private String key;
                @JSONField(name = "Value")
                private String value;
            }
        }
    }
}
