package com.starbuds.server.service.message.tencent.response.sns;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentResponse;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/2
 */
@Data
public class TencentImSnsBlackListGetResponse extends TencentResponse {

    /**
     * 黑名单对象数组
     */
    @JSONField(name = "BlackListItem")
    private List<Item> blackListItem;
    /**
     * 下页拉取的起始位置，0表示已拉完
     */
    @JSONField(name = "StartIndex")
    private Integer startIndex;
    /**
     * 黑名单最新的 Seq
     */
    @JSONField(name = "CurruentSequence")
    private Integer curruentSequence;

    @Data
    public static class Item implements Serializable {
        @JSONField(name = "To_Account")
        private String toAccount;

        @JSONField(name = "AddBlackTimeStamp")
        private Long addBlackTimeStamp;
    }
}
