package com.starbuds.server.service.message.impl.biz;

import com.starbuds.server.common.pojo.data.MedalShinyStatus;
import com.starbuds.server.common.pojo.message.im.rtc.UserMedalShinyStatusChangedMsg;
import com.starbuds.server.common.validation.Validator;
import org.hibernate.validator.HibernateValidator;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import java.util.Optional;

class UserMedalMsgServiceImplTest {

    private final Validator validator = new Validator(HibernateValidator.class);

    @Test
    void check() {
        UserMedalShinyStatusChangedMsg imMsg = new UserMedalShinyStatusChangedMsg();
        Optional failMsgOfOne = validator.getFailMsgOfOne(imMsg);
        Assertions.assertTrue(failMsgOfOne.isPresent());

        imMsg.setUserId(1L);
        failMsgOfOne = validator.getFailMsgOfOne(imMsg);
        Assertions.assertTrue(failMsgOfOne.isPresent());

        MedalShinyStatus medalShinyStatus = new MedalShinyStatus();
        imMsg.setMedalShinyStatus(medalShinyStatus);
        failMsgOfOne = validator.getFailMsgOfOne(imMsg);
        Assertions.assertFalse(failMsgOfOne.isPresent());
    }
}